<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dayou.mapper.PersonalExampleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.dayou.entity.PersonalExample">
        <result column="id" property="id" />
        <result column="created" property="created" />
        <result column="modified" property="modified" />
        <result column="deleted" property="deleted" />
        <result column="target_id" property="targetId" />
        <result column="is_example" property="isExample" />
        <result column="calculate_id" property="calculateId" />
        <result column="location" property="location" />
        <result column="amount" property="amount" />
        <result column="price" property="price" />
        <result column="market_info" property="marketInfo" />
        <result column="orientation" property="orientation" />
        <result column="acreage" property="acreage" />
        <result column="at_floor" property="atFloor" />
        <result column="house_type" property="houseType" />
        <result column="decoration" property="decoration" />
        <result column="other_info" property="otherInfo" />
        <result column="fix_price" property="fixPrice" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        created,
        modified,
        deleted,
        target_id, is_example, calculate_id, location, amount, price, market_info, orientation, acreage, at_floor, house_type, decoration, other_info, fix_price
    </sql>

    <delete id="realDelete" parameterType="java.lang.Long">
        delete from personal_example where target_id = #{targetId}
    </delete>
</mapper>
